Bug 3777 - Update & bugfix for nut
: Update & bugfix for nut
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-17 11:14 MSK by Sergey A. Sokolov
Modified: 2014-02-25 15:30 MSK (History)
2 users (show)

See Also:
RPM Package: nut
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey A. Sokolov 2014-02-17 11:14:51 MSK
Advisory:

* Update version to 2.7.1
* Some configure fixes

Buildlists:
x86_64: https://abf.io/build_lists/1639088
i586: https://abf.io/build_lists/1639087
Comment 1 Sergey A. Sokolov 2014-02-17 11:26:25 MSK
Advisory:

* Update version to 2.7.1
* Some configure fixes

Buildlists:
x86_64: https://abf.io/build_lists/1639088
i586: https://abf.io/build_lists/1639087
Comment 2 Sergey A. Sokolov 2014-02-17 11:30:56 MSK
Advisory:

* Update version to 2.7.1
* Some configure fixes

Buildlists:
x86_64: https://abf.rosalinux.ru/build_lists/1639088
i586: https://abf.rosalinux.ru/build_lists/1639087
Comment 3 Vladimir Potapov 2014-02-17 15:46:10 MSK
How to test ht update?
systemctl start nut
Failed to issue method call: Unit nut.service failed to load: No such file or directory.
Comment 4 Vladimir Potapov 2014-02-17 16:05:04 MSK
systemctl start nut-server
A dependency job for nut-server.service failed. See 'journalctl -xn' for details.
[root@keleg-H61N-USB3 keleg]# journalctl -xn
-- Logs begin at Ср. 2014-01-22 23:08:13 IRKT, end at Пн. 2014-02-17 21:01:18 IRKT. --
февр. 17 21:01:01 keleg-H61N-USB3 systemd[10479]: Startup finished in 16ms.
февр. 17 21:01:01 keleg-H61N-USB3 systemd[1]: Started User Manager for 0.
февр. 17 21:01:18 keleg-H61N-USB3 systemd[1]: Starting Network UPS Tools - power device driver controller...
февр. 17 21:01:18 keleg-H61N-USB3 upsdrvctl[11876]: Error: no UPS definitions found in ups.conf
февр. 17 21:01:18 keleg-H61N-USB3 upsdrvctl[11876]: Network UPS Tools - UPS driver controller 2.7.1
февр. 17 21:01:18 keleg-H61N-USB3 systemd[1]: nut-driver.service: control process exited, code=exited status=1
февр. 17 21:01:18 keleg-H61N-USB3 systemd[1]: Failed to start Network UPS Tools - power device driver controller.
февр. 17 21:01:18 keleg-H61N-USB3 systemd[1]: Dependency failed for Network UPS Tools - power devices information server.
февр. 17 21:01:18 keleg-H61N-USB3 systemd[1]: Unit nut-driver.service entered failed state.
Comment 5 Sergey A. Sokolov 2014-02-17 16:12:38 MSK
Make the config files for your UPS in /etc/ups/*

and start services:
systemctl start nut-driver.service
systemctl start nut-server.service
Comment 6 Sergey A. Sokolov 2014-02-17 16:15:43 MSK
I'm  tested for PowerCom UPS:

/etc/ups/ups.conf
[pcmups]
driver = usbhid-ups
port = auto

/etc/ups/upsd.conf
LISTEN 127.0.0.1 3493

/etc/ups/upsd.users
[upsmon]
password = pass
allowfrom = localhost
upsmon master
Comment 7 Vladimir Potapov 2014-02-25 15:24:18 MSK
nut-2.7.1-1
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1639087/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1639088/x86_64/main/release/
************************ Advisory *************************
* Update version to 2.7.1
* Some configure fixes
***********************************************************
QA Verified